openSUSE Security Update : perl (openSUSE-SU-2013:0497-1)

This script is Copyright (C) 2014-2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

Perl was updated to fix 3 security issues :

- fix rehash denial of service (compute time) [bnc#804415]
[CVE-2013-1667]

- improve CGI crlf escaping [bnc#789994] [CVE-2012-5526]

- sanitize input in Maketext.pm to avoid code injection
[bnc#797060] [CVE-2012-6329]

In openSUSE 12.1 also the following non-security bug was fixed :

- fix IPC::Open3 bug when '-' is used [bnc#755278]

See also :

http://lists.opensuse.org/opensuse-updates/2013-03/msg00068.html
https://bugzilla.novell.com/show_bug.cgi?id=755278
https://bugzilla.novell.com/show_bug.cgi?id=789994
https://bugzilla.novell.com/show_bug.cgi?id=797060
https://bugzilla.novell.com/show_bug.cgi?id=804415

Solution :

Update the affected perl packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.5
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: SuSE Local Security Checks

Nessus Plugin ID: 74932 ()

Bugtraq ID: 56562
56950
58311

CVE ID: CVE-2012-5526
CVE-2012-6329
CVE-2013-1667

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now